import Bridge = Anue.Bridge;
export default abstract class AbstractServerBridge {
    static NotInitializedError: {
        rid: number;
        body: {
            uri: string;
            message: string;
        };
    };
    protected mConfig: Anue.Bridge.ServerConfig | null;
    protected mApiTable: Record<string, Bridge.Handler>;
    protected mWindow: Window | undefined;
    protected sendResponse: (req: any) => (response: any) => void;
    protected listen: (message: MessageEvent) => void;
    constructor(config: Anue.Bridge.ServerConfig);
    abstract start(): Promise<boolean>;
    use: (uri: string, handler: Bridge.Handler) => AbstractServerBridge;
    push: (uri: any, payload: any) => void;
}
