import * as Network from '@libraries/Network';
declare class NetworkMock extends Network.AbstractNetworkInterface {
    private mocks;
    clearMocks: () => void;
    /**
     * Mock response of specific tester, return a function which removes the mock
     * @param test A function tests the request options, use the mock if tester returns true
     * @param responder Mock responder function, can returning data or either throwing error
     * @returns Function which removes the mock
     */
    mock: (test: (opt: Anue.Network.RequestOptions<any>) => boolean, responder: (opt: Anue.Network.RequestOptions<any>) => any) => () => void;
    protected request: <T = any>(options: Anue.Network.RequestOptions<any>) => Promise<T>;
}
declare const inst: NetworkMock;
export default inst;
