export declare type IRequestOptions<T> = Anue.Network.RequestOptions<T>;
export declare type APITransform<T> = (resp: APIResponse.Response<T>) => any;
export default class API<T> {
    private mHandles;
    private mOptions;
    private mTransform;
    static BaseTransform: (resp: APIResponse.Response<any>) => any;
    transform: (fn: APITransform<T>) => void;
    handle: (condition: number | ((req: Anue.Network.RequestOptions<T>, res: T) => boolean), handle: (req: Anue.Network.RequestOptions<T>, res: T) => any) => API<T>;
    options: (options: Anue.Network.RequestOptions<any>) => this;
    send: () => Promise<T>;
}
