/**
 * @doc
 * @anue-package Anue.API.Email
 * 和電子郵件認證相關的API實作與集合，使用方式
 *
 * ```Javascript
 * import 'anue-fe-sdk'
 * import 'anue-fe-sdk/web-preset'
 * import Email from 'anue-fe-sdk/API/Email'
 *
 * // ...
 *
 * ```
 */
declare const _default: {
    verifyActivationCode: (checkCode: string) => Promise<boolean>;
    register: (name: string, email: string, password: string, channel: string) => Promise<number>;
    resend: (email: string) => Promise<number>;
};
export default _default;
