/// <reference types="jest" />
import AbstractProvider from '@packages/Provider/AbstractProvider.abstract';
export declare const mockContext: (num: any) => {
    idToken: string;
    accessToken: string;
    tokenType: any;
};
export default class MockProvider extends AbstractProvider {
    num: number;
    constructor(num: any);
    loginImpl: () => Promise<Anue.Provider.NullableResponse>;
    logoutImpl: () => Promise<boolean>;
    getName(): string;
    refresh(): Promise<Anue.Provider.NullableResponse>;
    initImpl: jest.Mock<{}>;
    getContext(): Anue.Provider.NullableResponse;
    getProfile: jest.Mock<{}>;
}
