import AbstractProvider from '@packages/Provider/AbstractProvider.abstract';
export interface IMailAndPassword {
    email: string;
    password: string;
}
export default class AnueMailProvider extends AbstractProvider {
    private static mHost;
    private mShouldStoreCredentials;
    getName: () => string;
    handleStateChangeImpl(): void;
    loginImpl: (args?: IMailAndPassword | undefined) => Promise<Anue.Provider.NullableResponse>;
    logoutImpl: () => Promise<boolean>;
    refresh: (args?: IMailAndPassword | undefined) => Promise<Anue.Provider.NullableResponse>;
    renewer: () => Promise<APIResponse.Response<{
        identityId: string;
        token: string;
        newcomer?: number | undefined;
    }>>;
    initImpl: () => Promise<AbstractProvider>;
    getContext(): Anue.Provider.NullableResponse;
}
