import AbstractNetworkInterface from '@libraries/Network/Network.abstract';
declare class AxiosDriverNetworkDriver extends AbstractNetworkInterface {
    private instance;
    /**
     * Send a request and resolves the response, this only throws error
     * when things going wrong with network connection.
     * otherwise it resolves an Anue.Response object with status code,
     * body and other information.
     * @param options Request options like url, method, headers, and body
     */
    request: <T = any>(options: Anue.Network.RequestOptions<any>) => Promise<T>;
}
export default AxiosDriverNetworkDriver;
