declare class Endpoints {
    static readonly api: Anue.ValidEndpoints;
    static readonly v1User: {
        profile: {
            password: {
                (): string;
                recovery: () => string;
                reset: () => string;
            };
        };
        email: {
            renew: () => string;
            resend: () => string;
        };
        cognitoOpenIdOrRegister: () => string;
        tos: {
            (): string;
            all: () => string;
            user: () => string;
        };
        registration: {
            email: {
                (): string;
                verify: () => string;
            };
        };
    };
}
export default Endpoints;
