/**
 * @doc
 * @anue-base Anue.Storage
 * TODO
 */
import AbstractStorageInterface from '@libraries/Storage/Storage.abstract';
/**
 * Set another driver instance to replace the existing one.
 * Default driver is Fetch-implemented one
 * @param driver An driver which extends NetworkInterface
 */
declare const setDriver: (driver: AbstractStorageInterface) => void;
declare const getDriver: () => AbstractStorageInterface;
export { setDriver, getDriver, AbstractStorageInterface };
