/**
 * @doc
 * @anue-package Anue.API.Profile
 * 使用者帳戶資訊相關的API實作與集合，使用方式
 *
 * ```Javascript
 * import 'anue-fe-sdk'
 * import 'anue-fe-sdk/web-preset'
 * import Profile from 'anue-fe-sdk/API/Profile'
 *
 * // ...
 *
 * ```
 */
declare const _default: {
    updatePassword: (oldPassword: string, newPassword: string) => Promise<number>;
    recoverPassword: (email: string) => Promise<number>;
    resetPassword: (recoverKey: string, password: string) => Promise<number>;
};
export default _default;
