import Debuggable from '@libraries/Debuggable';
declare class TOS extends Debuggable {
    /**
     * @doc
     * @public
     * @method getAllTOS
     * @promise
     * @returns APIResponse.v1.User.TOS.All
     * 單純顯示 ToS，無須登入
     */
    getAllTOS: (service?: string) => Promise<APIResponse.v1.User.TOS.All>;
    /**
     * @doc
     * @public
     * @method updateTOS
     * @promise
     * @returns APIResponse.v1.User.TOS
     * 使用則接受 ToS
     */
    updateTOS: (platform?: string, services?: string) => Promise<APIResponse.v1.User.TOS>;
    /**
     * @doc
     * @public
     * @method checkUserTOS
     * @promise
     * @returns APIResponse.v1.User.TOS.User
     * 使用者登入後，檢查 ToS 狀態
     */
    checkUserTOS: (service?: string) => Promise<APIResponse.v1.User.TOS.User>;
}
export default TOS;
