import AbstractProvider from './AbstractProvider.abstract';
export default class FacebookWebProvider extends AbstractProvider {
    private mAuth;
    private scriptImported;
    private mAppId;
    constructor(config: {
        appId: string;
    });
    private transform;
    private handleStateChange;
    loginImpl: () => Promise<Anue.Provider.NullableResponse>;
    logoutImpl: () => Promise<boolean>;
    getName: () => string;
    getType: () => import("../../constants/Keys").SupportedProviderType;
    refresh(): Promise<Anue.Provider.NullableResponse>;
    initImpl: () => Promise<AbstractProvider>;
    getContext(): Anue.Provider.NullableResponse;
}
