import StorageAbstract from '@libraries/Storage/Storage.abstract';
declare class LocalStorageDriver extends StorageAbstract {
    removeItemImpl: (key: any) => Promise<boolean>;
    setItemImpl: (key: string, value: any) => Promise<boolean>;
    getItemImpl: (key: string) => Promise<string>;
}
declare class LocalStorageNotSupportedDriver extends StorageAbstract {
    protected setItemImpl: (key: string | number, value: any) => Promise<boolean>;
    protected getItemImpl: (key: string | number) => Promise<string>;
    protected removeItemImpl: (key: string | number) => Promise<boolean>;
}
declare const _default: typeof LocalStorageNotSupportedDriver | typeof LocalStorageDriver;
export default _default;
